LINUX.ORG.RU

qt


0

0

root # ACCEPT_KEYWORDS=~x86 emerge qt -pv

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild U ] x11-libs/qt-3.3.4-r7 [3.3.4-r3] +cups -debug -doc* -examples* -firebird +gif -immqt -immqt-bc +ipv6 +mysql* -nas -odbc +opengl -postgres -sqlite -xinerama +zlib 0 kB

Total size of downloads: 0 kB
root # cd /etc/portage
root # ls
package.unmask sets
root # cat ./package.unmask
x11-libs/qt
root # emerge =x11-libs/qt-4.0.1 -pv

These are the packages that I would merge, in order:

Calculating dependencies
!!! All ebuilds that could satisfy "=x11-libs/qt-4.0.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/qt-4.0.1 (masked by: -* keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.

root #

Что я делаю не так?

anonymous

Re: qt

> (masked by: -* keyword)

С гентой не сильно знаком, но возможно нужно в ебилде поменять с KEYWORD=-* на KEYWORD=~x86 ?

slack_or_feel ()
Ответ на: Re: qt от unnamed

Re: qt

Как что? Помогать Тузику писать графическую среду на чистом kde.

TrollTux ()
Ответ на: Re: qt от TrollTux

Re: qt

Тьфу ты! На чистом qt!
=)

TrollTux ()

Re: qt

echo "x11-libs/qt" >> /etc/portage/package.unmask

anonymous ()
Ответ на: Re: qt от anonymous

Re: qt

Товарищь опаздал:

root # cd /etc/portage
root # ls
package.unmask sets
root # cat ./package.unmask
x11-libs/qt

TrollTux ()

Re: qt

>ACCEPT_KEYWORDS=~x86 emerge

так делать не рекомендуется

echo "x11-libs/qt -*" >> /etc/portage/package.keywords

kostian ★★★★☆ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.